Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.misc
Class ChainedFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.misc.ChainedFilter

All Implemented Interfaces:
  Serializable

    public class ChainedFilter

extends Filter

Allows multiple `Filter`s to be chained. Logical operations such as NOT and XOR are applied between filters. One operation can be used for all filters, or a specific operation can be declared for each filter.

Order in which filters are called depends on the position of the filter in the chain. It's probably more efficient to place the most restrictive filters /least computationally-intensive filters first.

See Also:
  Serialized Form

Field Summary
`static int` | `AND`
`static int` | `ANDNOT`
`static int` | `DEFAULT` Logical operation when none is declared.
`static int` | `OR`
`static int` | `XOR`

Constructor Summary
`ChainedFilter(Filter[] chain)` Ctor.
`ChainedFilter(Filter[] chain, int logic)` Ctor.
`ChainedFilter(Filter[] chain, int[] logicArray)` Ctor.

Method Summary
`protected DocIdSet` | `finalResult(OpenBitSetDISI result, int maxDocs)` Provide a SortedVIntList when it is definitely smaller than an OpenBitSet
`DocIdSet` | `getDocIdSet(IndexReader reader)` `Filter.getDocIdSet(org.apache.lucene.index.IndexReader)`.
`String` | `toString()`

Methods inherited from class org.apache.lucene.search.Filter
`bits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OR

    public static final int OR

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### ANDNOT

    public static final int ANDNOT

See Also:
  Constant Field Values

### XOR

    public static final int XOR

See Also:
  Constant Field Values

### DEFAULT

    public static int DEFAULT

  Logical operation when none is declared. Defaults to OR.

Constructor Detail

### ChainedFilter

    public ChainedFilter(Filter[] chain)

  Ctor.

  Parameters:
    `chain` - The chain of filters

### ChainedFilter

    public ChainedFilter(Filter[] chain,
                         int[] logicArray)

  Ctor.

  Parameters:
    `chain` - The chain of filters
    `logicArray` - Logical operations to apply between filters

### ChainedFilter

    public ChainedFilter(Filter[] chain,
                         int logic)

  Ctor.

  Parameters:
    `chain` - The chain of filters
    `logic` - Logicial operation to apply to ALL filters

Method Detail

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  `Filter.getDocIdSet(org.apache.lucene.index.IndexReader)`.

  Overrides:
    `getDocIdSet` in class `Filter`
  Throws:
    `IOException`

### finalResult

    protected DocIdSet finalResult(OpenBitSetDISI result,
                                   int maxDocs)

  Provide a SortedVIntList when it is definitely smaller than an OpenBitSet

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.